/*****************************************************************************
 * mixer.h: sound mixer control functions
 *****************************************************************************
 * $Id: mixer.h,v 1.5 2004/01/28 23:13:32 alainjj Exp $
 *****************************************************************************
 * Copyright (C) 2001 Keuleu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************
 *
 * Original code:
 *
 *  (c) 1998 Gerd Knorr <kraxel@cs.tu-berlin.de>
 *
 *****************************************************************************/
#ifndef _MIXER_H_
#define _MIXER_H_
int mixer_open (char *filename, char *device);
void mixer_close (void);
int mixer_get_volume ();
int mixer_set_volume (int val);
int mixer_set_mute(int val);
int mixer_mute (void);
int mixer_unmute (void);
int mixer_get_muted (void);
int mixer_capture (void);
int mixer_uncapture (void);
int mixer_get_captured (void);
int mixer_toggle_device (void);
int mixer_set_device (int dev);
int check_alsa(void);
extern int have_alsa;
#endif // _MIXER_H_
