/*****************************************************************************
 * xawdecode.h: some xawdecode functions and definitions
 *****************************************************************************
 * $Id: xawdecode.h,v 1.2 2003/01/14 08:00:57 keuleu Exp $
 *****************************************************************************
 * Copyright (C) 2001 Keuleu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************
 *
 * This software was based on xawtv. Those portions are
 * Copyright (C) 1997 Gerd Knorr <kraxel@cs.tu-berlin.de>
 *
 *****************************************************************************/
#ifndef _XAWDECODE_H_
#define _XAWDECODE_H_

void set_timer_title ();
void set_float (Widget widget, char *name, float value);
void action_cb (Widget widget, XtPointer clientdata, XtPointer call_data);
void scroll_scb (Widget widget, XtPointer clientdata, XtPointer call_data);

#define LABEL_WIDTH         "16"

#define PANED_FIX               \
        XtNallowResize, False,  \
        XtNshowGrip,    False,  \
        XtNskipAdjust,  True

struct CALL_ACTION
{
  int argc;
  char *name;
  char *argv[4];
};

#endif //_XAWDECODE_H_
